<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel pid="messages">
        <f:facet name="header">#{messages['net.ihe.gazelle.atna.ExchangedMessages']}</f:facet>
        <ul class="nav nav-tabs" role="tablist">
            <li role="presentation" class="active">
                <a href="#requesttab" aria-controls="requesttab" role="tab"
                   data-toggle="tab">#{messages['net.ihe.gazelle.atna.MessageSentByTheTool']}</a>
            </li>
            <li role="presentation">
                <a href="#responsetab" aria-controls="responsetab" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.atna.MessageReceivedFromSUT']}</a>
            </li>
        </ul>

        <div class="tab-content tab-content-with-border">
            <div role="tabpanel" class="tab-pane active" id="requesttab">
                <gdk:insert
                        content="#{requestContent}"
                        highlight="xml" encoding="UTF-8"/>
            </div>
            <div role="tabpanel" class="tab-pane" id="responsetab">
                <gri:panel pid="headerspanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.proxy.Headers']}</f:facet>
                    <pre><h:outputText value="#{responseHeaders}"/></pre>
                </gri:panel>
                <gri:panel pid="bodypanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.proxy.MessageContent']}</f:facet>
                    <gdk:insert
                            content="#{responseContent}"
                            highlight="xml" encoding="UTF-8"/>
                </gri:panel>
            </div>
        </div>
    </gri:panel>
</ui:composition>
